Jump to content

Archived

This topic is now archived and is closed to further replies.

gyan000

[SCRIPT] Installation pilote ATI sous Mandriva

Recommended Posts

Pour dire la vérité, c'est la GF3 qui m'a fâché avec nVidia. Non pas que ça soit une mauvaise carte, bien au contraire (en plus c'est une Ti500), mais je l'ai acheté le prix fort 1 semaine avant que nVidia sorte - soudain, sans prévenir - la série des 4, du coup la mienne a baissé de 50% quasiment dans l'heure :(

BAh dsl Sandeman, mais c'etait connu quand meme....J'ai achete a ce moment la une leadtek 128Mo ti4200. :yes:

Share this post


Link to post
Share on other sites
BAh dsl Sandeman, mais c'etait connu quand meme....J'ai achete a ce moment la une leadtek 128Mo ti4200. :keskidit:

Il connaissait peut-être pas PC INpact à l'époque ...

Parce que maintenant, pour louper une sortie, c'est pas facile...:craint:

Share this post


Link to post
Share on other sites

salut

j'ai essaye toutes les config pour le double ecran et tout fonctionne mais je n'arrive pas a trouve ce que je voulais.

ce que j aurais voulu faire et je crois que c est ce qui est le plus pratique enfin dans mon cas c'est d'avoir :

1 ecran : bureau virtuel 1

2 ecran : bureau virtuel 2

le but est d'avoir toujours 2 bureaux virtuels en visuel et de pouvoir deplacer mes applis d'un bureau a un autre tout en n'ayant toujours l'oeil dessus :ouioui:

Share this post


Link to post
Share on other sites
le but est d'avoir toujours 2 bureaux virtuels en visuel et de pouvoir deplacer mes applis d'un bureau a un autre tout en ayant toujours l'oeil dessus :ouioui:

Ben le xinerama fait ça (bon, par contre, t'as pas 2 barres des tâches..)

Share this post


Link to post
Share on other sites

Bonjour à tous

Je viens de tomber sur ce forum trés bien pour l'installation des drivers ati, mais malheureusement, cela ne marche pas chez moi :'(

Je suis sous mandrake 10, et ma carte est une ati 9700 pro

J'ai chargé le pilote adequate, j'installe le rpm, et la il me dit un message d'erreur:

*** Trying to install a precompiled kernel module.

*** WARNING ***

Tailored kernel module for fglrx not present in your system.

You must go to /lib/modules/fglrx/build_mod subdir

and execute './make.sh' to build a fully customed kernel module.

Afterwards go to /lib/modules/fglrx and run './make_install.sh'

in order to install the module into your kernel's module repository.

(see readme.txt for more details.)

As of now you can still run your XServer in 2D, but hardware acclerated

OpenGL will not work and 2D graphics will lack performance.

failed.

*** Error: no kernel module build environment - please consult readme.

Installed: qt3 (gcc 3.2) based control panel application

Bon je vais donc compiler ce pti truc, mais :

[root@localhost barbuk]# cd /lib/modules/fglrx/build_mod

[root@localhost build_mod]# ./make.sh

bash: ./make.sh: Permission denied

[root@localhost build_mod]#

J'ai bien les sources de mon kernel..

je peux kan meme configurer avec fglrxconfig, mais le driver n'est pas installé et l'accélération materiel ne marche pas.

Si vous avez une tite idée, elle est la bienvenue ^^

Merci

Share this post


Link to post
Share on other sites

Bon je vais donc compiler ce pti truc, mais :

[root@localhost barbuk]# cd /lib/modules/fglrx/build_mod

[root@localhost build_mod]# ./make.sh

bash: ./make.sh: Permission denied

[root@localhost build_mod]#

dans ce cas c'est peut-être que make.sh n'est pas exécutable

remplace "./make.sh" par "sh make.sh" ?

Share this post


Link to post
Share on other sites

ok merci bien

""

[root@localhost barbuk]# cd /lib/modules/fglrx/

[root@localhost fglrx]# ls

build_mod/ fglrx.2.4.20-28.8bigmem.o fglrx.2.4.20-28.9bigmem.o fglrx.2.4.20-8bigmem.o make_install.sh

fglrx.2.4.18-17.7.x.o fglrx.2.4.20-28.8.o fglrx.2.4.20-28.9.o fglrx.2.4.20-8.o

fglrx.2.4.18-17.8.0.o fglrx.2.4.20-28.8smp.o fglrx.2.4.20-28.9smp.o fglrx.2.4.20-8smp.o

[root@localhost fglrx]# cd build_mod

[root@localhost build_mod]# ls

2.6.x/ agp_backend.h agpgart.h core.6314 firegl_public.h libfglrx_ip.a.GCC2 make.sh

agp3.c agpgart_be.c agp.h firegl_public.c i7505-agp.c libfglrx_ip.a.GCC3 nvidia-agp.c

[root@localhost build_mod]# sh make.sh

ATI module generator V 2.0

==========================

initializing...

Error:

kernel includes at /usr/src/linux/include do not match current kernel.

they are versioned as ""

instead of "2.6.3-7mdk".

you might need to adjust your symlinks:

- /usr/include

- /usr/src/linux

[root@localhost build_mod]# ""

Euh... ok donc en gros je n'ai pas de kernel ds "include" (version ' ' ??)

Suffit il de le mettre à jour où de le copier?

Merci pour le coup de main :-D

Share this post


Link to post
Share on other sites

Bonjour!!

J'ai bidouillé un peu, j'ai essayé l'installation sans passer par le rpm, en le décompressant, mais a chaque tentative... la meme erreur reviens

[root@localhost build_mod]# sh make.sh

ATI module generator V 2.0

==========================

initializing...

Error:

kernel includes at /usr/src/linux/include do not match current kernel.

they are versioned as ""

instead of "2.6.3-7mdk".

you might need to adjust your symlinks:

- /usr/include

- /usr/src/linux

[root@localhost build_mod]#

Je ne comprend pas ce qu'il faut faire... que dois-je comprendre par ajuster mes "symlinks"..? De plus mon kernel est "normalement" à jour en version 2.6.3-15mdk. :chinois:

:transpi: lol

Share this post


Link to post
Share on other sites

ça yéééééééééééééééééééééééééééééé :D:p:p

J'ai résolu mon pti probleme, j'ai recompiler mon kernel en fonction de mes sources ( c'est dur ko meme la premiere fois :byebye: )

Enfin bon, ça marche nikel maintenant!

MERCI PC INPACT :cap:

Share this post


Link to post
Share on other sites

c'est dur ko meme la premiere fois

Oui mais avec le temps et l'experience ca devient une tache aussi simple que "ls"'.... :cap: Felicitations en tout cas, :byebye:

Share this post


Link to post
Share on other sites

Salut à tous et surtout à 84r84r :))

Voila mon problème, je veux réussir à installer ma carte ATI radeon 9600 sous ma mandrake 10 et j'ai exactement les mêmes messages d'erreurs que 84r84r lors de son installation :

------------------------------------------------------------------------------------------------------------------------

[root@localhost build_mod]# sh make.sh

ATI module generator V 2.0

==========================

initializing...

Error:

kernel includes at /usr/src/linux/include do not match current kernel.

they are versioned as ""

instead of "2.6.3-7mdk".

you might need to adjust your symlinks:

- /usr/include

- /usr/src/linux

[root@localhost build_mod]#

Je ne comprend pas ce qu'il faut faire... que dois-je comprendre par ajuster mes "symlinks"..? De plus mon kernel est "normalement" à jour en version 2.6.3-15mdk.

------------------------------------------------------------------------------------------------------------------------

Et je me pose la même question quand à la version du kernel.

Comment à tu réussit installer la carte ?

Quel procedure à tu suivi ?

Meric d'avance

Share this post


Link to post
Share on other sites
Error:

kernel includes at /usr/src/linux/include do not match current kernel.

they are versioned as ""

instead of "2.6.3-7mdk".

Il te dit que le kernel source n'a pas le même n° que ton kernel tout court.

(pour connaître ce dernier, taper uname -r en console).

Donc installe le kernel-source correspondant à ton kernel.

Avant désinsrtalle celui qui ne va pas.

Tapes en console : rpm -qa | grep kernel et tu connaîtras les kernels et kernels source installés sur ton micro.

Pour désinstaller : urpme <le rpm> (en root dans la console). :D

Share this post


Link to post
Share on other sites

En général, c'est juste que dans toutes les distributions qui fournissent un noyau précompilé, les sources ne correspondent JAMAIS au noyau... (pas exactement, en tout cas...)

Donc obligé de recompiler le noyau pour que ça marche (en tout cas, ça économise pas mal de temps...et en plus, ça peut être très utile à savoir faire!...au moins pour les perfs...)

Share this post


Link to post
Share on other sites

Bonjour à tous,

J'arrive toujours pas à installer ma carte ATI :transpi:

Voici ma config :

Shuttle FN45G2 V2 (à base de chipset nvidiia)

AMD athlon XP 1800

512 DDR

ATI 9600 radeon pro 256 DDR.

Mandrake 10

Aprés avoir récupere les sources de mon kernel et installer le rpm , aprés avoir lancer fglrxconfig, et recharger les module suivant :

fglrx, agpgart et nvdi_agp

j'ai le message d'erreur suivant :

FATAL : module nvidi-agp not found

voici ce que les commandes de teste retournent :

[nico@NiVaNo nico]$ rpm -qa |grep fglrx

fglrx-4.3.0-3.9.0

[nico@NiVaNo nico]$ fglrxinfo

display: :0.0 screen: 0

OpenGL vendor string: Mesa project: www.mesa3d.org

OpenGL renderer string: Mesa GLX Indirect

OpenGL version string: 1.3 Mesa 4.0.4

[nico@NiVaNo nico]$ fgl_glxgears

Error: couldn't get fbconfig

J'ai donc plusisieur questions :

1- Les choix par défauld de flgrxconfig sont il satisfesant ? en particulier faut il utiliser sur l'utilisation de l''external AGP module ?

2- Comment réupérer le module nividi-agp ?

J'espère que parmi vous se trouve mon sauveur :transpi:

Share this post


Link to post
Share on other sites
2- Comment réupérer le module nividi-agp ?

:transpi:

c'est pas nvidi-agp, pais nvidia-agp :mdr:

déjà, boote sur le bon noyau, vérifie avec "uname -a", puis réinstalle le driver ati, charge le module fglrx, lance fglrxconfig et normalement ça suffit

Share this post


Link to post
Share on other sites

Effectivement c'était pas le bon nom :transpi:

Bref ,j'ai fait tous ce que tu ma dit :

c'est pas nvidi-agp, pais nvidia-agp

déjà, boote sur le bon noyau, vérifie avec "uname -a", puis réinstalle le driver ati, charge le module fglrx, lance fglrxconfig et normalement ça suffit

Mais ca change rien. quand le lance

[nico@NiVaNo nico]$ glxgears

515 frames in 5.0 seconds = 103.000 FPS

318 frames in 5.0 seconds = 63.600 FPS

480 frames in 5.0 seconds = 96.000 FPS

400 frames in 5.0 seconds = 80.000 FPS

Ma carte n'est pas correctment installer ?

Help Me :mdr:

Share this post


Link to post
Share on other sites
Ma carte n'est pas correctment installer ?

lance :

glxinfo | grep "direct rendering"

...si ça met "yes", c'est que X utilise bien le driver, sinon, il n'est pas bien installé...

Share this post


Link to post
Share on other sites

J'ai refait toutesl l'installation en aprenant la dreniere version du drifver ATI.

J'ai stopper le demon dm : /etc/init.d/dm stop

J'ai décharger le modul fglrx : rmmod fglrx

J'ai desintaller l'ancienn version : rpm -e fglrx-4.3.0-3.9.0

j'ai reinstaller : rpm -Uvh --force --nodeps fglrx-4.3.0-3.9.0.i386.rpm

j'ai lancer flgconfig

Je réponds presque toujours avec les réponses par défault (c'est peut être une erreur ?) sauf pour le rafriaichissement

je recharge les module : modprobe fglrx, modprobe agpgart, modprobe nvidia_agp

je lance startx

je cherche à lancer fgl_glxgears et la c'est le drame : Error: couldn't get fbconfig

je lance glxinfo | grep "direct rendering" et la tous basculle :

direct rending = no

Mes questions :

1 Est ce que je réponds correctement à flgxconfig ?

2. Faut il faire des réglages dans le bios ou dans l'os pour configurer le bus AGP ?

Share this post


Link to post
Share on other sites

est-ce que X charge le bon fichier de conf?

 $ mv /etc/X11/XF86* /root

puis lance X...

cela ne va pas marcher (y'a plus de fichier de conf)...

après, lance fglrxconfig

et relance X

là ça devrait être le bon fichier de conf (de toute façon, y'aura plus que un seul :keskidit:)

Share this post


Link to post
Share on other sites

Je viens je fiare la manip :

$ mv /etc/X11/XF86* /root

puis lance X...

cela ne va pas marcher (y'a plus de fichier de conf)...

C'est vrai ca marche plus

après, lance fglrxconfig

et relance X

là ça devrait être le bon fichier de conf (de toute façon, y'aura plus que un seul )

X se lance mais cela ne change rien au pb d'installation

Share this post


Link to post
Share on other sites

Je viens de reagrder les parramètrage de mon bios, et j'ai remarqué que l'ouverture pour le bus AGP n'était que de 64K alors que ma carte accepte 256K.

du coup avec glrxgear, j'obtien de score de

[nico@NiVaNo nico]$ glxgears

1085 frames in 5.0 seconds = 217.000 FPS

1120 frames in 5.0 seconds = 224.000 FPS

1040 frames in 5.0 seconds = 208.000 FPS

1120 frames in 5.0 seconds = 224.000 FPS

1040 frames in 5.0 seconds = 208.000 FPS

1120 frames in 5.0 seconds = 224.000 FPS

1042 frames in 5.0 seconds = 208.400 FPS

au lieu de 80

Je me pose la qiuestion suivante :

au moment ou j'ai installer linux, l'installateur mandrake a du detecter des parramètree qui ne peuvent pas être ok avec mon config actuelle.

Faut il resintaller quelque chose ou passer un patch ?

Share this post


Link to post
Share on other sites
Je viens de reagrder les parramètrage de mon bios, et j'ai remarqué que l'ouverture pour le bus AGP n'était que de 64K alors que ma carte accepte 256K.

Mo, non?

du coup avec glrxgear, j'obtien de score de

[nico@NiVaNo nico]$ glxgears

[...]

1042 frames in 5.0 seconds = 208.400 FPS

au lieu de 80

Mais tu sais que normalement, ce score devrait être au moins 10 fois plus élevé, et que sans les drivers le score est en général déjà dans les 800...

Je me pose la qiuestion suivante :

au moment ou j'ai installer linux, l'installateur mandrake a du detecter des parramètree qui ne peuvent pas être ok avec mon config actuelle.

Faut il resintaller quelque chose ou passer un patch ?

non

y'a un blem à mon avis...

(au fait, que te retourne "whereis glxgears" ?)

Share this post


Link to post
Share on other sites

Oui c'est en Mo, je me suis trompé

[nico@NiVaNo nico]$ whereis glxgears

glxgears: /usr/X11R6/bin/glxgears /usr/bin/X11/glxgears

Quel genre de blem ?

Share this post


Link to post
Share on other sites
Oui  c'est en Mo, je me suis trompé

[nico@NiVaNo nico]$ whereis glxgears

glxgears: /usr/X11R6/bin/glxgears /usr/bin/X11/glxgears

Quel genre de blem ?

ça c'est ok...

faudrait voir le fichier de log de X...

Share this post


Link to post
Share on other sites

×
×
  • Create New...